Page MenuHomePhabricator

MWException on global rename: CAS update failed on gu_cas_token
Closed, DuplicatePublic

Description

2016-05-22 09:46:14 [V0F-4gpAMEsAACT-N6sAAAAO] mw1005 zhwikiquote 1.28.0-wmf.2 exception ERROR: [V0F-4gpAMEsAACT-N6sAAAAO] [no req]   MWException from line 2582 of /srv/mediawiki/php-1.28.0-wmf.2/extensions/CentralAuth/includes/CentralAuthUser.php: CAS update failed on gu_cas_token for user ID '460626' (read from master); the version of the user to be saved is older than the current version. {"exception_id":"V0F-4gpAMEsAACT-N6sAAAAO"}
[Exception MWException] (/srv/mediawiki/php-1.28.0-wmf.2/extensions/CentralAuth/includes/CentralAuthUser.php:2582) CAS update failed on gu_cas_token for user ID '460626' (read from master); the version of the user to be saved is older than the current version.
  #0 /srv/mediawiki/php-1.28.0-wmf.2/extensions/CentralAuth/includes/CentralAuthUser.php(2531): CentralAuthUser->saveSettings()
  #1 /srv/mediawiki/php-1.28.0-wmf.2/extensions/CentralAuth/includes/session/CentralAuthTokenSessionProvider.php(155): CentralAuthUser->resetAuthToken()
  #2 /srv/mediawiki/php-1.28.0-wmf.2/includes/session/SessionManager.php(314): CentralAuthTokenSessionProvider->invalidateSessionsForUser(User)
  #3 /srv/mediawiki/php-1.28.0-wmf.2/extensions/Renameuser/RenameuserSQL.php(200): MediaWiki\Session\SessionManager->invalidateSessionsForUser(User)
  #4 /srv/mediawiki/php-1.28.0-wmf.2/extensions/CentralAuth/includes/LocalRenameJob/LocalRenameUserJob.php(59): RenameuserSQL->rename()
  #5 /srv/mediawiki/php-1.28.0-wmf.2/extensions/CentralAuth/includes/LocalRenameJob/LocalRenameJob.php(27): LocalRenameUserJob->doRun()
  #6 /srv/mediawiki/php-1.28.0-wmf.2/includes/jobqueue/JobRunner.php(265): LocalRenameJob->run()
  #7 /srv/mediawiki/php-1.28.0-wmf.2/includes/jobqueue/JobRunner.php(179): JobRunner->executeJob(LocalRenameUserJob, BufferingStatsdDataFactory, integer)
  #8 /srv/mediawiki/rpc/RunJobs.php(47): JobRunner->run(array)
  #9 {main}

This is why the global rename Metrophil44 -> Metrophil is currently stuck: https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/Metrophil

Event Timeline

hoo created this task.May 22 2016, 8:20 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 22 2016, 8:20 PM
Poyekhali triaged this task as Unbreak Now! priority.
Poyekhali added a subscriber: Poyekhali.

Matching priority with T135656

Restricted Application added subscribers: TerraCodes, Urbanecm. · View Herald TranscriptMay 24 2016, 11:22 AM

Change 291229 had a related patch set uploaded (by Anomie):
Return a master instance from our implementation of AuthPlugin::getUserInstance()

https://gerrit.wikimedia.org/r/291229

Change 291229 merged by jenkins-bot:
Return a master instance from our implementation of AuthPlugin::getUserInstance()

https://gerrit.wikimedia.org/r/291229

Change 296558 had a related patch set uploaded (by Gergő Tisza):
Return a master instance from our implementation of AuthPlugin::getUserInstance()

https://gerrit.wikimedia.org/r/296558

Change 296558 merged by jenkins-bot:
Return a master instance from our implementation of AuthPlugin::getUserInstance()

https://gerrit.wikimedia.org/r/296558

Restricted Application added subscribers: Cosine02, Jay8g. · View Herald TranscriptDec 15 2016, 4:10 PM